Package org.springframework.cglib.proxy

# Interface InvocationHandler

All Superinterfaces:
  `Callback`

public interface InvocationHandler extends Callback
`InvocationHandler` replacement (unavailable under JDK 1.2). This callback type is primarily for use by the `Proxy` class but may be used with `Enhancer` as well.

Author:
  Neeme Praks neeme@apache.org

## Method Summary

Modifier and Type
Method
Description
`Object`
`invoke(Object proxy, Method method, Object[] args)`

## Method Details

### invoke

Object invoke(Object proxy, Method method, Object[] args) throws Throwable

Throws:
  `Throwable`
See Also:
  - `InvocationHandler.invoke(java.lang.Object, java.lang.reflect.Method, java.lang.Object[])`